Bug 1300298 - [RFE] keepalived vrrp id should be configurable
[RFE] keepalived vrrp id should be configurable
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
Meng Bo
:
Depends On:
Blocks: 1267746
  Show dependency treegraph
 
Reported: 2016-01-20 07:33 EST by Miheer Salunke
Modified: 2016-09-27 14:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:27:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Origin (Github) 6775 None None None 2016-01-22 04:34 EST

  None (edit)
Description Miheer Salunke 2016-01-20 07:33:26 EST
- Proposed title of this feature request 

  keepalived vrrp id should be configurable

- What is the nature and description of the request?  
vrrp id should be configurable on the keepalive/ipfailover pods.

- Why does the customer need this? (List the business requirements here)  
If you have multiple ipfailover in the same network, keepalived wont work in openshift anymore.  Currently it is required to manually enter all node ips at the UNICAST parameter.

- How would the customer like to achieve this? (List the functional requirements here)
- configure vrrp id via oadm ipfailover

- For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 
- Inside the keepalived pod, in the keepalived.conf I see the vrrp id, also in tcpdump, too.

- Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No

- Does the customer have any specific timeline dependencies and which release would they like to target?
No

- Is the sales team involved in this request and do they have any additional input? 
No.

- List any affected packages or components.  
Openshift Enterprise, ipfaliover components
      
- Would the customer be able to assist in testing this functionality if implemented?
Yes.
Comment 2 Josep 'Pep' Turro Mauri 2016-01-22 04:34:23 EST
Related upstream PR: https://github.com/openshift/origin/pull/6775
Comment 3 Ram Ranganathan 2016-02-10 01:02:54 EST
PR merged - assigning to QE.  
oadm ipfailover ... --vrrp-id-offset=<n> 

See: oadm ipfailover --help   for usage.
Comment 4 Meng Bo 2016-02-15 03:16:26 EST
The new option has been added to latest OSE build 2016-02-12.2

But the changes were not applied to latest keepalived docker image, image id d96b1dcabb83

Move the bug back.
Comment 6 Brenton Leanhardt 2016-02-15 12:26:47 EST
This fix will make it in to today's build.  I'm setting needinfo on Troy to move it ON_QA once the build it ready.

The short of it is that our release tooling didn't catch that files under images/ipfailover/keepalived/ had been modified.  We'll have that fixed today too.
Comment 7 Troy Dawson 2016-02-17 10:29:27 EST
This fix is in the images created yesterday.  You should be able to test now.
Comment 8 Meng Bo 2016-02-18 03:51:33 EST
Tested with OSE build v3.1.1.903 and ipfailover image 8281a58255a1

Issue has been fixed.

On a multinode env, two groups of keepalived can work separately with different vrrp-id.
Comment 14 errata-xmlrpc 2016-05-12 12:27:02 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064
Comment 15 Ram Ranganathan 2016-09-27 14:48:58 EDT
docs PR: https://github.com/openshift/openshift-docs/pull/2950

Note You need to log in before you can comment on or make changes to this bug.